<?php

include 'conexion.php';
$id_compra=$_POST['id_compra'];
$nombre=$_POST['nombre'];
$descripcion=$_POST['descripcion'];
$valor_total=$_POST['valor_total'];
$fecha=$_POST['fecha'];
$fk_dependencia=$_POST['fk_dependencia'];
$fk_id_tip_cate=$_POST['fk_id_tip_cate'];
$nom_pdf=$_POST['nom_pdf'];
$pdf=$_POST['pdf'];

//Variable que me almacene 
$opc = "";

//Funcion para validar si viene vacio...
if(!empty($nom_pdf) && !empty($pdf)){
   $opc = ",nom_pdf = '".$nom_pdf."', pdf = '".$pdf."'";
}

$consulta="UPDATE `compra` SET `nombre` = '".$nombre."', `descripcion` = '".$descripcion."', `valor_total` = '".$valor_total."', `fecha` = '".$fecha."', `fk_dependencia` = '".$fk_dependencia."', 
          `fk_id_tip_cate` = '".$fk_id_tip_cate."' $opc WHERE `compra`.`id_compra` = '".$id_compra."'";

$result = mysqli_query($conexion,$consulta) or die (mysqli_error());

if($result == true){
    echo "si";
}else{
    echo "Hubo un error";
}

mysqli_close($conexion);

?>